Show / Hide Table of Contents

# Class SigScanner

##### Inheritance

System.Object
SigScanner

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class SigScanner

### Constructors

#### SigScanner(ProcessModule)

##### Declaration

    public SigScanner(ProcessModule module)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Diagnostics.ProcessModule | module |

### Properties

#### DataSectionBase

##### Declaration

    public IntPtr DataSectionBase { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

#### DataSectionSize

##### Declaration

    public int DataSectionSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Is32BitProcess

##### Declaration

    public bool Is32BitProcess { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Module

##### Declaration

    public ProcessModule Module { get; }

##### Property Value

Type | Description
--- | ---
System.Diagnostics.ProcessModule |

#### TextSectionBase

##### Declaration

    public IntPtr TextSectionBase { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

#### TextSectionSize

##### Declaration

    public int TextSectionSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### ResolveRelativeAddress(IntPtr, Int32)

##### Declaration

    public IntPtr ResolveRelativeAddress(IntPtr nextInstAddr, int relOffset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nextInstAddr |
System.Int32 | relOffset |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### Scan(IntPtr, Int32, String)

##### Declaration

    public IntPtr Scan(IntPtr baseAddress, int size, string signature)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | baseAddress |
System.Int32 | size |
System.String | signature |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ScanData(String)

##### Declaration

    public IntPtr ScanData(string signature)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | signature |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ScanModule(String)

##### Declaration

    public IntPtr ScanModule(string signature)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | signature |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ScanText(String)

##### Declaration

    public IntPtr ScanText(string signature)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | signature |

##### Returns

Type | Description
--- | ---
System.IntPtr |